io.vertx.ext.shell.system

## Enum ExecStatus

- java.lang.Object
- - java.lang.Enum<ExecStatus>
  - - io.vertx.ext.shell.system.ExecStatus

- All Implemented Interfaces:
    Serializable, Comparable<ExecStatus>

      public enum ExecStatus
      extends Enum<ExecStatus>

  The status of an execution.
  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READY` The job is ready, it can be running or terminated.
    `RUNNING` The job is running, it can be stopped or terminated.
    `STOPPED` The job is stopped, it can be running or terminated.
    `TERMINATED` The job is terminated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExecStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READY

          public static final ExecStatus READY

      The job is ready, it can be running or terminated.

    - #### RUNNING

          public static final ExecStatus RUNNING

      The job is running, it can be stopped or terminated.

    - #### STOPPED

          public static final ExecStatus STOPPED

      The job is stopped, it can be running or terminated.

    - #### TERMINATED

          public static final ExecStatus TERMINATED

      The job is terminated.

  - ### Method Detail

    - #### values

          public static ExecStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecStatus c : ExecStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.